summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-11-06 22:28:44 +0000
committerZac Medico <zmedico@gentoo.org>2009-11-06 22:28:44 +0000
commit13aedc064cdabc01d8cca6697b642e30dca7050b (patch)
tree5ba61494eba72fb7ddf062feb3c819a11593280b /bin/ebuild.sh
parentBug #291142 - Fix some cases when a 'missed update' message might not be (diff)
downloadportage-idfetch-13aedc064cdabc01d8cca6697b642e30dca7050b.tar.gz
portage-idfetch-13aedc064cdabc01d8cca6697b642e30dca7050b.tar.bz2
portage-idfetch-13aedc064cdabc01d8cca6697b642e30dca7050b.zip
For --debug mode, enable bash tracing when sourcing the ebuild.
svn path=/main/trunk/; revision=14781
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 25cd04ba..0a8fb41a 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1823,7 +1823,14 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
# eclasses, they need to be unset before this process of
# interaction begins.
unset DEPEND RDEPEND PDEPEND IUSE
- source "${EBUILD}" || die "error sourcing ebuild"
+
+ if [[ $PORTAGE_DEBUG != 1 ]] || [[ ${-/x/} != $- ]] ; then
+ source "$EBUILD" || die "error sourcing ebuild"
+ else
+ set -x
+ source "$EBUILD" || die "error sourcing ebuild"
+ set +x
+ fi
if [[ "${EBUILD_PHASE}" != "depend" ]] ; then
RESTRICT=${PORTAGE_RESTRICT}